Freeciv-3.2: packet_spaceship_info Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_spaceship_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | player_num
int | sship_state
int | structurals
int | components
int | modules
int | fuel
int | propulsion
int | habitation
int | life_support
int | solar_panels
int | launch_year
int | population
int | mass
bv_spaceship_structure | structure
float | support_rate
float | energy_rate
float | success_rate
float | travel_time

## Detailed Description

Definition at line 923 of file packets_gen.h.

## Field Documentation

## ◆ components

int packet_spaceship_info::components

Definition at line 927 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ energy_rate

float packet_spaceship_info::energy_rate

Definition at line 939 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ fuel

int packet_spaceship_info::fuel

Definition at line 929 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ habitation

int packet_spaceship_info::habitation

Definition at line 931 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ launch_year

int packet_spaceship_info::launch_year

Definition at line 934 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ life_support

int packet_spaceship_info::life_support

Definition at line 932 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ mass

int packet_spaceship_info::mass

Definition at line 936 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ modules

int packet_spaceship_info::modules

Definition at line 928 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ player_num

int packet_spaceship_info::player_num

Definition at line 924 of file packets_gen.h.

Referenced by handle_spaceship_info(), receive_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ population

int packet_spaceship_info::population

Definition at line 935 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ propulsion

int packet_spaceship_info::propulsion

Definition at line 930 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ solar_panels

int packet_spaceship_info::solar_panels

Definition at line 933 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ sship_state

int packet_spaceship_info::sship_state

Definition at line 925 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ structurals

int packet_spaceship_info::structurals

Definition at line 926 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ structure

bv_spaceship_structure packet_spaceship_info::structure

Definition at line 937 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ success_rate

float packet_spaceship_info::success_rate

Definition at line 940 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ support_rate

float packet_spaceship_info::support_rate

Definition at line 938 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().

## ◆ travel_time

float packet_spaceship_info::travel_time

Definition at line 941 of file packets_gen.h.

Referenced by handle_spaceship_info(), send_packet_spaceship_info_100(), and send_spaceship_info().